apache2 openssl s_client error

Discussion in 'Server Operation' started by ptroms, Dec 18, 2020.

  1. ptroms

    ptroms New Member

    I have been struggling last few days abnormal server behaviour.
    It seems like apache2 serv doesn't cooperates with ssl library.
    command:
    ends up with an error
    Code:
    139766340863104:error:0200206F:system library:connect:Connection refused:../crypto/bio/b_sock2.c:110:
    139766340863104:error:2008A067:BIO routines:BIO_connect:connect error:../crypto/bio/b_sock2.c:111:
    This server has valid let's encrypt cert.
    Would you give me a hand with that please.
    here are current dpkg
    Code:
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name                            Version          Architecture Description
    +++-===============================-================-============-=========================================================================
    un  apache2-api-20120211-openssl1.1 <none>           <none>       (no description available)
    ii  libcrypt-openssl-bignum-perl    0.09-1+b1        amd64        Perl module to access OpenSSL multiprecision integer arithmetic libraries
    un  libcrypt-openssl-dsa-perl       <none>           <none>       (no description available)
    un  libcrypt-openssl-pkcs10-perl    <none>           <none>       (no description available)
    un  libcrypt-openssl-pkcs12-perl    <none>           <none>       (no description available)
    ii  libcrypt-openssl-random-perl    0.15-1+b1        amd64        module to access the OpenSSL pseudo-random number generator
    ii  libcrypt-openssl-rsa-perl       0.31-1+b1        amd64        module for RSA encryption using OpenSSL
    un  libcrypt-openssl-x509-perl      <none>           <none>       (no description available)
    un  libengine-pkcs11-openssl        <none>           <none>       (no description available)
    ii  openssl                         1.1.1d-0+deb10u4 amd64        Secure Sockets Layer toolkit - cryptographic utility
    un  openssl-blacklist               <none>           <none>       (no description available)
    un  perl-openssl-abi-1.1            <none>           <none>       (no description available)
    ii  perl-openssl-defaults:amd64     3                amd64        version compatibility baseline for Perl OpenSSL packages
    ii  python-openssl                  19.0.0-1         all          Python 2 wrapper around the OpenSSL library
    un  python-openssl-dbg              <none>           <none>       (no description available)
    un  python-openssl-doc              <none>           <none>       (no description available)
    ii  python3-openssl                 19.0.0-1         all          Python 3 wrapper around the OpenSSL library
    un  python3-openssl-dbg             <none>           <none>       (no description available)
    
     
    Last edited: Dec 18, 2020
  2. ptroms

    ptroms New Member

    I have managed it.
    It was incorrect valid certificate running on local ip
     
    Jesse Norell likes this.

Share This Page